(C)Copyright 1998-2003 3Com Coporation. All rights reserved
(C)Copyright 1998-2003 Marvell. All rights reserved


--------------------------------------------------------------------------------

3Com 3C2000-T Adapter  
NDIS5 Miniport Driver for Windows ME and 98SE


This file contains 
1  Overview 
2  Required Files 
3  Installation 

3.1  Installing the driver 
3.2  Updating the driver 

4  Parameters 

4.1  General driver options 
4.2  Advanced driver options 

5  Troubleshooting 



--------------------------------------------------------------------------------


1  Overview 
EL2K_9X.sys is the NDIS5 32-bit Miniport driver for the
3Com 3C2000-T Adapter  .

This README file explains how to install the Miniport driver on a machine
running Windows 9x.

This EL2K_9X NDIS5 Miniport driver cannot be used with 
Windows XP or Windows 2000 or Windows NT 4.0.

2  Required Files 
To install the driver, the following files are required:

EL2K_9X.sys 3Com 3C2000-T Adapter  
NDIS5 Miniport driver
el2000.inf   installation setup script

3  Installation 

3.1  Installing the driver 

Read the installation instructions in the adapter manual carefully.
Follow these instructions to install the adapter in your computer.


NOTE: Do *not* try to install a driver for a PCI adapter using the
      CONTROL PANEL / NETWORK / CONFIGURATION / ADD / ADAPTER facility 
      of Windows ME and 98SE. Windows ME and 98SE will always detect new PCI hardware
      during the boot process. You will be asked for a respective driver
      diskette if the system does not find the respective installation 
     .INF file in its system directories.

If you install Windows ME and 98SE with an already inserted  3Com 3C2000-T Adapter  ,
then Windows ME and 98SE may identify the adapter as an "Unknown Device".

In this case, remove this "Unknown Device" after you have completed the
installation of Windows ME and 98SE:

1. Click CONTROL PANEL / SYSTEM / DEVICE MANAGER.
2. In the "Device Manager" window click VIEW DEVICES BY TYPE.
3. Examine the list of devices under "Computer". 
   The "Unknown Device" is listed under "Other Devices". 
4. Click OTHER DEVICES.
   The "PCI Ethernet Controller" is displayed. 
5. Click PCI ETHERNET CONTROLLER.
6. Click REMOVE.
7. Reboot Windows ME and 98SE.
8. Follow the installation instructions below.

With PCI adapters, due to the plug & play facility of PCI, the Windows ME and 98SE
system is able to find, identify, and configure an adapter automatically.

To install the driver, proceed as follows:

1. Install the 3Com 3C2000-T Adapter   in your computer.
2. Start Windows ME and 98SE.
   Windows ME and 98SE will detect the 3Com 3C2000-T Adapter   during boot operation.
3. Follow the instructions given by Windows ME and 98SE to install the driver.
4. If Windows ME and 98SE asks for a path, enter the path to the required files 
   depending on the type of medium (e.g. CD-ROM, floppy diskette, network 
   drive, etc.) containing the EL2K_9X driver files.

  
5. To configure any driver options for your 3Com 3C2000-T Adapter  , follow 
   the instructions in the section "Driver Options" in this readme file.

3.2  Updating the driver 

To update an already installed driver for your 3Com 3C2000-T Adapter  , 
proceed as follows:

1.  Click CONTROL PANEL / SYSTEM.
2.  Click DEVICE MANAGER / NETWORK ADAPTERS / 3Com 3C2000-T Adapter   /
    PROPERTIES / DRIVER.
3.  Click UPDATE DRIVER.
4.  When prompted "Do you want Windows to search for the driver", select 
    the check box "No, select driver from list".
5.  Click HAVE DISK.
6.  Enter the path to the required files depending on the type of medium 
    (e.g.CD-ROM, floppy diskette, network drive, etc.) containing the 
    EL2K_9X driver files, e.g.

    
7.  Click OK.
8.  Select the 3Com 3C2000-T Adapter  .
9.  Click OK.
10. After Windows ME and 98SE has copied the driver files, reboot the computer.



4  Parameters 

4.1  General driver options 

The EL2K_9X.sys driver allows you to modify several options
in order to optimize the operation of your 3Com 3C2000-T Adapter  .

To set the driver options, proceed as follows:
1.  Start NETWORK from the CONTROL PANEL.
2.  Select CONFIGURATION.
3.  Select the 3Com 3C2000-T Adapter  .
4.  Click PROPERTIES.
5.  Click ADVANCED.
6.  In the "Property" box, select the option that you want to change.
7.  Enter the desired value in the "Value" box.
8.  When finished, click OK.
9.  Reboot the machine.
NOTE: The machine must be rebooted before any changed options can 
      take effect.

The parameters supported by the driver are described below.

Preferred Port
--------------
Default value:  "A"
Valid range:    "A" or "B"

NOTE: This parameter is only available for dual link adapters.

Use this parameter to set the preferred port the RLMT (Redundant
Link Management Technology) will use for all network traffic, if more than
one port has an active link to the network.

RLMT Mode
---------
Default value:  "CLS"
Valid range:    "CLS"
                "CLP"
                "CLPSS"

NOTE: This parameter is only available for dual link adapters.

Use this parameter to set the operational mode for the RLMT:

- "CLS" (Check Link State): RLMT uses the link state reported by the
      adapter hardware for each individual port to determine whether a 
      port can be used for all network traffic or not.

- "CLP" (Check Local Port): In this mode, RLMT monitors the network path
      between the two ports of an adapter by regularly exchanging packets 
      between them. This mode requires a network configuration in which 
      the two ports "see" each other (i.e. there must not be any router 
      between the ports).

- "CLPSS" (Check Local Ports and Segmentation Status): This mode supports 
      the same functions as the CLP mode and additionally checks network 
      segmentation by sending BPDU hello packets. Thus, this mode is only 
      to be used if Gigabit Ethernet switches are installed on the network
      that have been configured to use the Spanning Tree protocol.

NOTE: RLMT modes "CLP" and "CLPSS" are designed to operate in 
      configurations where a network path between the ports on one adapter
      exists. Moreover, they are not designed to work where adapters are
      connected back-to-back.

Network Address
---------------
Default value:  burned-in adapter address
Valid range:    0y-00-00-00-00-01 to FE-FF-FF-FF-FF-FF (hexadecimal), 
                where at least the "locally administered" bit 2h 
                (i.e. bit #1) in the 'y' nibble must be set and the 
                multicast" bit 1h (i.e. bit #0) must not be set

CAUTION: Each individual network MAC address can only be used once in a
         network. Assigning the same address to more than one adapter in 
         the same network is not allowed and can cause serious network 
         problems.

To use a network MAC address other than the one burned into the adapter,
enter the network address in the following hexadecimal format:

    XX-XX-XX-XX-XX-XX (e.g. 02-00-5A-98-12-34).

If the network address field blank is left blank (or a different number of
digits is specified), the network address burned into the adapter will 
be used.

MaxFrameSize
------------
Default value:  1514 (decimal)
Valid range:    12..9014 (decimal)

This parameter specifies the maximum frame size in bytes that the driver
will support. The performance of your network usually increases when
a large packet size is used. Do not use values larger than 1514 if you
are not sure if your network supports jumbo frames.


Number of Receive Buffers
-------------------------
Default value:  50 (decimal)
Valid range:    3..500 (decimal)

This parameters defines the number of receive buffers allocated by the
driver. If the system does not have enough resources the driver will fail 
to load. Increasing this value may improve performance.

Number of Transmit Buffers
-------------------------
Default value:  50 (decimal)
Valid range:    4..200 (decimal)

This parameters defines the number of transmit buffers allocated by the
driver. If the system does not have enough resources the driver will 
fail to load. Increasing this value may improve performance.

Interrupt Moderation
--------------------
Default value:  "On"
Valid values:   "On"
                "Off"

If more than the specified rate of interrupts occur, the function 
Interrupt Moderation groups these interrupts so that several data packets 
can be handled per interrupt. This will lead to lower CPU utilization 
but may increase the latency.

Max IRQ per Sec
---------------
Default value:  5000 (decimal)
Valid range:    1000..30000 (decimal)

This parameter specifies the interrupt rate for Interrupt Moderation. If
Interrupt Moderation is set to "Off" it will be ignored.


AutoNegotiation_<n>   <n> = port designator (A or B)
-------------------
Type:           String
Default value:  "On"
Valid range:    "Off"
                "On"
                "Auto-Sense"

NOTE: If this parameter is set to "Off" and 'DuplexCapabilities' is
      set to "half and full duplex" the driver will override the
      setting and use "On" instead.


This parameter defines the auto-negotiation mode and can be set for each 
port individually, which is helpful if the port at the other end of the 
cable is limited in its capabilities. Using the default setting, the
3Com 3C2000-T Adapter   should
automatically detect the capabilities of the peer port.

DuplexCapabilities_<n>   <n> = port designator (A or B)
----------------------
Type:           String
Default value:  "half and full duplex"
Valid range:    "half duplex"
                "full duplex"
                "half and full duplex"

NOTE: This parameter is ignored if 'AutoNegotiation' is set to "auto-sense".

This parameter can be used to limit the duplex capabilities the port
reports during auto-negotiation. This parameter can be set for each port
individually, which is helpful if the port at the other end of the cable 
cannot handle all possible combinations. Using the default setting, the
3Com 3C2000-T Adapter   should
automatically detect the capabilities of the peer port.

FlowControl_<n>   <n> = port designator (A or B)
---------------
Type:           String
Default value:  "Asymmetrical and Symmetrical Flow Control"
Valid range:    "No Flow Control"
                "Asymmetrical Flow Control"
                "Symmetrical Flow Control"
                "Asymmetrical and Symmetrical Flow Control"

Modes:
- Symmetrical Flow Control: Both link partners are allowed to send 
                            PAUSE frames.

- Asymmetrical and Symmetrical Flow Control: Both or only the remote
                                             link partner are allowed
                                             to send PAUSE frames.

- Asymmetrical Flow Control: Only the local link partner is allowed 
                             to send PAUSE frames.

- No Flow Control: No link partner is allowed to send PAUSE frames.

NOTE: This parameter is ignored if 'AutoNegotiation' is set to "Off".

This parameter can be used to set the flow control capabilities the port 
reports during auto-negotiation. This parameter can be set for each port 
individually, which is helpful if the port at the other end of the cable 
cannot handle all possible combinations. Using the default setting, the
3Com 3C2000-T Adapter   should
automatically detect the capabilities of the peer port.


Role_<n>   <n> = port designator (A or B)
--------
Type:           String
Default value:  "Auto"
Valid range:    "Auto"
                "Master"
                "Slave"


For two 1000Base-T ports to communicate, one must take the role of the 
master (providing timing information), while the other must be slave.
Usually, this is negotiated between the two ports during link
establishment. If this fails, a port can be forced to a specific setting 
with this parameter.


4.2  Advanced driver options 

The EL2K_9X.sys driver supports various advanced options, which
should only be set in one or more of the following cases:

- Troubleshooting a specific problem
- Fine-tuning network performance

 CAUTION: Setting any advanced driver options can dramatically change 
          the behaviour of the driver. This can lead to serious system 
          or network problems. So care must be taken when any driver 
          options are set by the user.

          If the driver is ever misconfigured in such a way that it no 
          longer operates properly, then remove and re-install the driver.
          This causes the default values for all options to be restored.

To set the advanced driver options, proceed as follows:
1.  Start the Registry Editor tool REGEDIT.
2.  All of the driver's options are stored in the system's registry
    database. Open the path to the driver's options:

	\HKEY_LOCAL_MACHINE
	 \SYSTEM
	  \CurrentControlSet
	   \Services
	    \Class
	     \Net
	      \XXXX

    Where the XXXX must be replaced by the instance number of the
    driver, i.e. 0000, 0001 etc.
3.  The following actions can be executed:

    - Modify an existing driver option by double-clicking it.
    
    - Create a new driver option: Select EDIT > NEW, select the type for 
      the new option: "String", "Binary" or "DWORD". The type required 
      by each particular driver option is listed in the "Type:" field in
      the description below.
    
    - Delete an existing driver option: Select the option to be deleted,
      click EDIT > DELETE. In this case, the driver will use its built-in 
      default for the deleted option.

5.  After you have finished changing the driver options, reboot the 
    machine.

NOTE: The machine must be rebooted before any changed options can take 
      effect.

The following is a list of advanced options supported by the EL2K_9X
driver.

NOTE: If an advanced option is not present in the registry, you may create
      it via EDIT / NEW. Note that in the absence of any option, the 
      driver will use its built-in default value for that option, as 
      described by "Default value:" below.

MaxMulticast
------------
Type:           String
Default value:  128 (decimal)
Valid range:    0..10000 (decimal)

This option specifies the maximum number of multicast addresses the
driver accepts.



5  Troubleshooting 
If you should encounter any problems with your
3Com 3C2000-T Adapter  , please re-read
the instructions above and the documentation supplied with the
operating system.

If you do not find a solution, please send us a description of the
problem.

Contact 3Com support for further information (for contact
information, please refer to the SUPPORT.HTM file on the installation
medium).

*** End of Readme File ***

